import request from '@/utils/request'

// 查询漏检列表
export function listMissedInspection(query) {
  return request({
    url: '/blocked/missReview/list',
    method: 'get',
    params: query
  })
}

// 查询漏检详细
export function getMissedInspection(id) {
  return request({
    url: `/blocked/missReview/${id}`,
    method: 'get'
  })
}

// 新增漏检
export function addMissedInspection(data) {
  return request({
    url: '/blocked/missReview',
    method: 'post',
    data: data
  })
}

// 修改漏检
export function updateMissedInspection(data) {
  return request({
    url: '/blocked/missReview',
    method: 'post',
    data: data
  })
}

// 删除漏检
export function delMissedInspection(ids) {
  return request({
    url: `/blocked/missReview/${ids}`,
    method: 'delete'
  })
}

// 导出漏检
export function exportMissedInspection(data) {
  return request({
    url: '/blocked/missReview/export',
    method: 'post',
    data: data
  })
}

// 下载导入模板
export function downloadTemplate() {
  return request({
    url: '/blocked/missReview/importTemplate',
    method: 'get',
    responseType: 'blob'
  })
}
